AvailabilityDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.AvailabilityDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class AvailabilityDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.AvailabilityDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AvailabilityDecorator

extends ColumnDecorator
implements javax.servlet.jsp.tagext.Tag

This class is a two in one decorator/tag for use within the `TableTag`; it is a `ColumnDecorator` tag that that creates a column of availability icons. One of these days, when the whole DependencyNode thing is cleaned up, a lot of this stuff should just move to it's own decorator just for DependencyNodes

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AvailabilityDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object obj)`
`int` | `doEndTag()`
`int` | `doStartTag()`
`java.lang.Boolean` | `getMonitorable()`
`javax.servlet.jsp.tagext.Tag` | `getParent()`
`AppdefResourceValue` | `getResource()`
`java.lang.Integer` | `getResourceId()` Returns the resourceId.
`java.lang.Integer` | `getResourceTypeId()` Returns the resourceTypeId.
`java.lang.String` | `getValue()`
`void` | `release()`
`void` | `setMonitorable(java.lang.Boolean monitorable)` Sets the compatibleGroup.
`void` | `setPageContext(javax.servlet.jsp.PageContext pc)`
`void` | `setParent(javax.servlet.jsp.tagext.Tag t)`
`void` | `setResource(AppdefResourceValue s)`
`void` | `setResourceId(java.lang.Integer resourceId)` Sets the resourceId.
`void` | `setResourceTypeId(java.lang.Integer resourceTypeId)` Sets the resourceTypeId.
`void` | `setValue(java.lang.String value)` Sets the value.

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AvailabilityDecorator

    public AvailabilityDecorator()

Method Detail

### getResource

    public AppdefResourceValue getResource()

### setResource

    public void setResource(AppdefResourceValue s)

### getResourceId

    public java.lang.Integer getResourceId()

  Returns the resourceId.

  Returns:
    String

### getResourceTypeId

    public java.lang.Integer getResourceTypeId()

  Returns the resourceTypeId.

  Returns:
    String

### setResourceId

    public void setResourceId(java.lang.Integer resourceId)

  Sets the resourceId.

  Parameters:
    `resourceId` - The resourceId to set

### getMonitorable

    public java.lang.Boolean getMonitorable()

  Returns:
    String

### setMonitorable

    public void setMonitorable(java.lang.Boolean monitorable)

  Sets the compatibleGroup.

  Parameters:
    `compatibleGroup` - The compatibleGroup to set

### setResourceTypeId

    public void setResourceTypeId(java.lang.Integer resourceTypeId)

  Sets the resourceTypeId.

  Parameters:
    `resourceTypeId` - The resourceTypeId to set

### getValue

    public java.lang.String getValue()

  Returns:
    String

### setValue

    public void setValue(java.lang.String value)

  Sets the value.

  Parameters:
    `value` - The value to set

### decorate

    public java.lang.String decorate(java.lang.Object obj)
                              throws java.lang.Exception

  Specified by:
    `decorate` in class `ColumnDecorator`
  Throws:
    `java.lang.Exception`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspTagException`

### doEndTag

    public int doEndTag()

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag t)

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pc)

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `setPageContext` in class `Decorator`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `Decorator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.